This API helps you to reserve a slot for the specified service booking (booking_id).You can also use this API to reserve a slot for the required group service booking (booking_id).You can choose a specific therapist or a therapist based on a certain gender while creating a service booking; after which, a unique 32-digit booking_id is generated.You must then specify the generated booking_id in the API request. You can also provide appropriate details for the slot_time parameter in the API request body to reserve a slot for the service booking.After you have reserved a slot for the service booking, you can then proceed to confirm the service booking.This API also allows guests to reserve appointments for family members. Provided, there is a relationship defined in Zenoti and an appointment reservation can only be done by the host. Note: Invoice id is not generated in this step by default, It is generated only when you confirm a reservation with confirm a service booking API call. you can generate an temporary invoice in reserve slot API by using the create_invoice flag in the request body.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Request Body Details
| Name | Type | Description |
|---|---|---|
| slot_time | datetime | Date and time of the service booking that is to be reserved. |
| create_invoice | boolean | Set it to true to generate an invoice in the reserve slot stage. This invoice will be auto voided in case not confirmed within the configured reserve block time. The default value is false. |
Response Details
| Name | Type | Description |
|---|---|---|
| is_reserved | boolean | Indicates whether the service booking has been reserved. |
| reservation_id | guid | Unique 32-character identifier of the service booking reservation. |
| expiry_time | datetime | Date and time on which the service booking reservation will expire. |
| blocking_time | integer | Block time of the reservation. |
| invoices | object | Object that contains various invoice-related elements of the service booking. For more information, refer to the invoices Object table. |
| error | object | Object that contains error message and error code details. For more information, refer to the error Object table. |
invoices Object
| Name | Type | Description |
|---|---|---|
| guest | object | Object that contains various guest-related elements of the service booking. For more information, refer to the guest Object table. |
| invoice_id | guid | Unique 32-character identifier of the invoice of the service booking. This is null by default. It is generated only if create_invoice is set to true in Request Body. |
| items | object | Object that contains various item-related elements of the service booking. For more information, refer to the items Object table. |
guest Object
| Name | Type | Description |
|---|---|---|
| Id | guid | Unique 32-character identifier of the guest. |
| FirstName | string | First name of the guest. |
| LastName | string | Last name of the guest. |
items Object
| Name | Type | Description |
|---|---|---|
| item | object | Object that contains various item-related elements included in the service booking. For more information, refer to the item Object table. |
| quantity | int | Number of items included in the service booking. |
| therapist | object | Object that contains these therapist-related elements of the service booking: id, full_name, first_name, last_name, and nick_name. |
| room | object | Object that contains these room-related elements of the service booking: id and name. |
| equipment | object | Object that contains these equipment-related elements of the service booking: id and name. |
| start_time | datetime | Start date and time of the service booking session. |
| end_time | datetime | End date and time of the service booking session. |
| invoice_item_id | guid? | Unique 32-character identifier of the invoice item of the service booking. This is null by default. It is generated only if create_invoice is set to true in Request Body. |
| appointment_id | guid? | Unique 32-character identifier of the reserved appointment booking. This is null by default. It is generated only if create_invoice is set to true in Request Body. |
| addons | list? | List of add-ons associated to the service booking. |
| package_services | list? | List of package services associated to the service booking. |
item Object
| Name | Type | Description |
|---|---|---|
| id | guid | Unique 32-character identifier of the item included in the service booking. |
| name | string | Name of the item. |
| item_type | enum | Type of the item: 0 - Service, 2 - Product, 3 - Membership, 4 - Package, 6 - Giftcard, 7 - all. |
error Object
| code | message |
|---|---|
| 503 | Request is missing or id is missing. |
| 502 | Could not get booking details. |
| 502 | Invalid booking id. |
| 502 | Slot is not available for reservation. |
| 502 | Center not found. |
| 502 | One or more services or addons are not available in the catalog. |
| 502 | One or more therapists are not available in catalog. |
